@echo off
rem Setup procedure for VirusBuster Lite for DOS
if not exist sb.exe goto WrongDir
if not exist v.exe goto WrongDir
sb cls cyan blue
sb window 1 19 3 61 white cyan
sb repeat /r80 24 0 " " black white
sb text 24 64 "" black white
sb text 2 21 "VirusBuster Lite for DOS Installation" yellow cyan
sb curpath set=DIR
sb curdrive set=SRC
set SRC=%SRC%:%DIR%
set DST=C
set DIR=LEP
set REQD=700000

sb window 5 4 12 76 bright red red shadow
sb text 6 6 "Drive to install VirusBuster Lite ? [%DST%]     " bright yellow red
sb text 7 6 "Directory to install ?              [%DIR%]     " bright yellow red
:DDAgain
sb query 6 54 ">" DEFAULT=%DST% set=DST FIELD=1 red on white
sb query 7 54 ">" DEFAULT=%DIR% set=DIR FIELD=20 red on white
set DP=%DST%:\%DIR%
sb diskfree drive=%DST% %REQD%
if errorlevel 1 goto MakeDir
sb text 9 6 "Insufficient space to install on %DST%: drive" white red

:AskRetry
sb beep /d2 /f987 /r2 /w1
sb ask 10 6 "Would you like to try again (Y/n)?" YN DEFAULT=Y echo white red
if errorlevel 2 goto Abort
sb window 8 6 10 74 red bright red
goto DDAgain

:MakeDir
sb makepath %DP%
if not errorlevel 1 goto DirOK
sb text 9 6 "Unable to create directory %DP%" white red
goto AskRetry

:DirOK
sb window 5 4 13 78 blue bright blue
sb text  8 17 "Setup is now copying the files required to run" white blue
sb text  9 28 "VirusBuster Lite for DOS" white blue
sb text 24 1 "Copying files to %DP% " black white
sb text 24 66 "rtm.exe     " black white
copy %SRC%\RTM.EXE %DP%>nul
sb text 24 66 "dpmi16bi.ovl" black white
copy %SRC%\DPMI16BI.OVL %DP%>nul
sb text 24 66 "v.exe       " black white
copy %SRC%\V.EXE %DP%>nul
sb text 24 66 "vr.exe      " black white
copy %SRC%\VR.EXE %DP%>nul
sb text 24 66 "buster.atf  " black white
copy %SRC%\BUSTER.ATF %DP%>nul
sb text 24 66 "buster.vnm  " black white
copy %SRC%\BUSTER.VNM %DP%>nul
sb text 24 66 "manual.txt  " black white
copy %SRC%\MANUAL.TXT %DP%>nul
sb text 24 66 "order.txt   " black white
copy %SRC%\ORDER.TXT %DP%>nul
sb text 24 66 "sb.exe      " black white
copy %SRC%\SB.EXE %DP%>nul
sb text 24 66 "setup.bat   " black white
copy %SRC%\SETUP.BAT %DP%>nul
cls
if exist %SRC%\register.exe %SRC%\register.exe %DP%
echo.
echo Setup is complete. Run "V C" (no quotes) to scan the
echo C: drive, or "V /?" for command line parameters.
echo.
goto Ende

:WrongDir
cls
echo This Setup program must be run from the distribution diskette
echo or from a directory ALL the files were copied into.
goto Ende

:Abort
cls
echo User aborted installation.

:Ende
set SRC=
set DST=
set DIR=
set DP=
set REQD=
